SELECT ROWNUM  FROM CN_SALDO
WHERE ID_VIGENCIA = '2011'
AND ID_PERIODO_CONTABLE = '1'
//AND ROWNUM < 5


SELECT ROWNUM,ID_CIA , ID_VIGENCIA, ID_PERIODO_CONTABLE , NOM_PERIODO ,ID_CEN_OP , NOM_CEN_OP  FROM(
select distinct
                sal.ID_CIA , sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE , per.NOM_PERIODO ,sal.ID_CEN_OP , cen.NOM_CEN_OP
                from CN_SALDO sal
                join CN_PERIODO_CONTABLE per on
                sal.ID_PERIODO_CONTABLE = per.ID_PERIODO_CONTABLE
                join CN_CENTRO_OPERACION  cen on
                sal.ID_CEN_OP = cen.ID_CEN_OP
                order by sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE
)

select id from NOMBRE_TABLA order by id DESC limit 1

select ROWNUM from (
SELECT ROWNUM,ID_CIA , ID_VIGENCIA, ID_PERIODO_CONTABLE , NOM_PERIODO  FROM(
select distinct
                sal.ID_CIA , sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE , per.NOM_PERIODO 
                from CN_SALDO sal
                join CN_PERIODO_CONTABLE per on
                sal.ID_PERIODO_CONTABLE = per.ID_PERIODO_CONTABLE
                order by sal.ID_VIGENCIA DESC, sal.ID_PERIODO_CONTABLE DESC
)
) order by ROWNUM DESC limit 1

select ID_VIGENCIA, ID_PERIODO_CONTABLE   from 
(
    SELECT ROWNUM AS FILA,ID_CIA , ID_VIGENCIA, ID_PERIODO_CONTABLE , NOM_PERIODO  FROM(
             select distinct
             sal.ID_CIA , sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE , per.NOM_PERIODO 
             from CN_SALDO sal
             join CN_PERIODO_CONTABLE per on
              sal.ID_PERIODO_CONTABLE = per.ID_PERIODO_CONTABLE
             order by sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE
    )
)
where FILA = '1'


select distinct
                sal.ID_CIA , sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE , per.NOM_PERIODO
                from CN_SALDO sal
                join CN_PERIODO_CONTABLE per on
                sal.ID_PERIODO_CONTABLE = per.ID_PERIODO_CONTABLE
                order by sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE


select distinct
                sal.ID_CIA , sal.ID_VIGENCIA, sal.ID_PERIODO_CONTABLE , per.NOM_PERIODO
                from CN_SALDO sal
                join CN_PERIODO_CONTABLE per on
                sal.ID_PERIODO_CONTABLE = per.ID_PERIODO_CONTABLE
                order by sal.ID_VIGENCIA ASC, sal.ID_PERIODO_CONTABLE ASC